Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Commits on Jul 5, 2014
  1. @dolmen

    Don't inherit from Exporter, but import its 'import'

    dolmen authored
    This requires Exporter 5.57 which is in core since 5.8.3, but is also on
    CPAN.
    Note that Module::Pluggable already depends on File::Spec 3.00 that
    appeared in core only in 5.8.6, so this doesn't change the dependencies
    for the crazy people that avoid CPAN (do they still exist?).
Commits on Jan 6, 2014
  1. Ready for release

    authored
Commits on Dec 21, 2013
Commits on Oct 22, 2013
  1. Bump version

    authored
Commits on May 27, 2013
  1. Bump version

    authored
Commits on Feb 26, 2013
Commits on Jan 23, 2013
  1. Bump to 4.6

    Simon Wistow authored
Commits on Jan 21, 2013
  1. @rjbs
Commits on Nov 6, 2012
  1. Bump Version to 4.5

    authored
  2. Add changes

    authored
Commits on Aug 15, 2012
  1. Get ready for release

    authored
Commits on Aug 14, 2012
  1. Bump version

    authored
Commits on Aug 13, 2012
  1. Add a new 'on_instantiate_error' trigger, rename 'on_error' to 'on_re…

    Simon Wistow authored
    …quire_error' and clean up some test failures when real world modules do kooky things.
Commits on Aug 10, 2012
  1. Doh

    authored
  2. Consistent indentation

    authored
  3. Bump version to 4.1

    authored
Commits on Jul 20, 2012
Commits on Jul 19, 2012
  1. Merge branch 'master' into triggers

    authored
    Conflicts:
    	lib/Module/Pluggable/Object.pm
Commits on Apr 27, 2012
  1. @bluefeet
Commits on Mar 28, 2012
Commits on Mar 22, 2012
  1. Add GitHub

    authored
  2. Clean up POD

    authored
Commits on Oct 28, 2009
  1. 5.11.x is going to warn on defined @array (which has been marked as d…

    authored
    …eprecated for aeons, but not warned)
Commits on Mar 2, 2009
  1. Up version number

    authored
  2. Remove Data::Dumper

    authored
  3. * Remove the brackets round require (causes tests to fail)

    authored
    * Refactor the except/only stuff
    * Don't require if module is in except/only
Something went wrong with that request. Please try again.